/************************************************************************************************/
//    Gestion du Mode Automatique:
/************************************************************************************************/


void Motor_Control_Auto(double nbTours,int Speed) 
{
  digitalWrite(Enable_PIN_M1, LOW); //Alimentation du moteur
  
  if(nbTours < 0) // Détecte le sens de fonctionnement du moteur en fonction du signe
    {
      nbTours = nbTours*-1; //Converti le nombre de tour en valeur positive
      digitalWrite(Dir_M1, HIGH);  //Changement sens moteur vers le bas
    }
  else
    {
      digitalWrite(Dir_M1, LOW);  //Changement sens moteur vers le haut
    }
  
  for(double i=0; i<(nbTours*800); i++)
    {
      if (digitalRead(Fdc_H) == LOW)
        {
          digitalWrite(Enable_PIN_M1, HIGH);  //Alimentation du moteur
          return;
        }

      Lecture_Touche();
      
      digitalWrite(Pulse_M1, LOW);
      delayMicroseconds(Speed);
      
      Lecture_Touche();

      digitalWrite(Pulse_M1, HIGH);
      delayMicroseconds(Speed);
    }
   digitalWrite(Enable_PIN_M1, HIGH);  //Extinction du moteur
}
